Eclipse 4.2.2

  • Este debate tiene 1 respuesta, 1 mensaje y ha sido actualizado por última vez el hace 6 años, 4 meses por Anónimo.
Viendo 2 entradas - de la 1 a la 2 (de un total de 2)
  • Autor
    Entradas
  • #7415

    Anónimo
    Inactivo

    Buenas a todos. Empece este curso de java entusiasmado y tuve que parar un tiempo debido a mi PC que era demasiado lento y me parecia contraproducente. Hace poco pude tener acceso a un iMac, le instale Eclipse 4.2.2 y el JRE version 6. Es lo mas reciente que le pude instalar debido a que el OSX que tiene es el 10.6.8  y debido a que es antiguo no puedo instalar el ultimo JRE ni el ultimo Eclipse.

    Hasta ahi todo bien, importe el proyecto que tenia en el antiguo PC, pero cuando veo todas las clases que tenia hechos hasta el momento veo que todas las lineas de codigo estan de rojo, como si todas tuvieran errores. No entiendo que puede pasar. A continuacion pongo unos enlaces de unos pantallazos que he hecho.

    https://ibb.co/cGE3Db

    https://ibb.co/fGoftb

    https://ibb.co/jOYPKG

    https://ibb.co/fwtDDb

     

    Ahi podreis ver la version de Eclipse, de la maquina virtual de java que tengo instalado y un par en las que aparece los «errores». En todas las clases aparecen errores en todas las lineas de codigo.

    #7416

    Anónimo
    Inactivo

    Vale, ya he encontrado la solución. Tras varias horas buscando en foros de la comunidad de Eclipse en ingles, encontre el problema aunque no entiendo el proceso porque no tengo conocimientos sobre esto. Pongo la solución en español por si alguien tiene el mismo problema algún dia. Algunas palabras las pongo en ingles porque mi Eclipse está en ingles y no se exactamente el equivalente al español.

    Si has cambiado de JDK y has tenido que importar un proyecto, y te aparecen todas las lineas de codigo en rojo, tienes que asegurarte de que el Path Class de tu protecto es correcto:

    1-<span class=»MsgBodyText»>Click derecho en el proyecto, elige Build Path-> Configure Build Path
    </span>

    Captura de pantalla—> https://ibb.co/hgN5Bw

    2-Haz clicl en Libraries tab.

    https://ibb.co/hH1RJb

    3-Busca el JRE System Library [la version del JRE que tienes instalado]

    Deberia aparecerte la libreria como en la ultima captura de pantalla que he compartido. Si no aparece ninguna libreria o simplemente aparece como en la mia pero con una cruz roja o alguna marca roja simbolizando «error» es porque Eclipse no encuentra el JRE Library original. Ahora hay que corregir eso:

    4- Si aparece una libreria con una cruz o marca roja, elígela y dale a eliminar.

    5- Haz click en Add Library o Añadir Libreria…

    6-Haz click en JRE System Library

    7- Next

    8- O tambien permite que use el valor predeterminado de la estación de trabajo(workstation). Puede que tambien tengas aque hacer otros arreglos como encontrar otro JDK que hayas descargado en tu host.

    9- Haz click en Finish

     

    Yo no tuve que hacer ningún arreglo, le di a next, seleccione el Workstation como default y le di a finish, solucionandose el problema. Espero haber sido claro, dejo el enlace de la pagina del foro en la que econtre la solucion:

    https://www.eclipse.org/forums/index.php/t/628433/

Viendo 2 entradas - de la 1 a la 2 (de un total de 2)
  • Debes estar registrado para responder a este debate.